summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFangyin Hu <fangyinx.hu@intel.com>2017-07-14 03:56:00 -0700
committerFangyin Hu <fangyinx.hu@intel.com>2017-07-17 02:07:33 -0700
commit4a82461c53e8d2bc9571cd6705a88a726bcf62e8 (patch)
treecf1187ce71e7cb3cc91246af6f93215c79fd39c6
parent33a4885752bb1dea4cb4b361fa41e85814a31f27 (diff)
Add the TLDK functional test Jenkis job into CSIT.
Add the license header. Change-Id: I3cd01d3a17025b597fd4ad5863231e2c4597fcf9 Signed-off-by: Fangyin Hu <fangyinx.hu@intel.com>
-rw-r--r--jjb/csit/csit.yaml67
-rw-r--r--jjb/csit/include-raw-csit-tldk-functional-virl.sh38
-rw-r--r--jjb/tldk/include-raw-tldk-csit-functional-virl.sh (renamed from jjb/tldk/include-raw-csit-tldk-functional-virl.sh)13
-rw-r--r--jjb/tldk/tldk.yaml20
4 files changed, 135 insertions, 3 deletions
diff --git a/jjb/csit/csit.yaml b/jjb/csit/csit.yaml
index 30e13abc4..a7966088d 100644
--- a/jjb/csit/csit.yaml
+++ b/jjb/csit/csit.yaml
@@ -1,3 +1,17 @@
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
- project:
name: csit
description: 'CSIT jenkins jobs.'
@@ -22,6 +36,7 @@
- 'csit-vpp-perf-verify-{stream}'
- 'csit-nsh_sfc-verify-perf-{stream}'
- 'csit-nsh_sfc-verify-func-{stream}-{os}-virl'
+ - 'csit-tldk-verify-func-{stream}-{os}-virl'
project: 'csit'
branch: 'master'
@@ -3850,6 +3865,58 @@
- fdio-infra-shiplogs:
maven-version: 'mvn33-new'
+- job-template:
+ name: 'csit-tldk-verify-func-{stream}-{os}-virl'
+
+ project-type: freestyle
+ node: '{os}-basebuild-4c-4g'
+ concurrent: true
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
+ - os-parameter:
+ os: '{os}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ triggers:
+ - gerrit-trigger-manually-triggered:
+ name: '{project}'
+ branch: '{branch}'
+ comment-trigger-value: 'csit_verify_tldk_func'
+
+ builders:
+ - shell:
+ !include-raw-escape: include-raw-csit-tldk-functional-virl.sh
+
+ publishers:
+ - archive-artifacts:
+ artifacts: 'archive/*.*'
+ latest-only: false
+
+ - robot-report:
+ output-path: 'archive'
+
+ - fdio-infra-shiplogs:
+ maven-version: 'mvn33-new'
+
- parameter:
name: test-type-parameter
parameters:
diff --git a/jjb/csit/include-raw-csit-tldk-functional-virl.sh b/jjb/csit/include-raw-csit-tldk-functional-virl.sh
new file mode 100644
index 000000000..bcaf17bd2
--- /dev/null
+++ b/jjb/csit/include-raw-csit-tldk-functional-virl.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+ exit 1
+fi
+
+# execute tldk bootstrap script if it exists
+if [ -e bootstrap-TLDK.sh ]
+then
+ # make sure that bootstrap-TLDK.sh is executable
+ chmod +x bootstrap-TLDK.sh
+ # run the script
+ ./bootstrap-TLDK.sh
+else
+ echo 'ERROR: No bootstrap-TLDK.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh b/jjb/tldk/include-raw-tldk-csit-functional-virl.sh
index de52e3097..547a000f7 100644
--- a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
+++ b/jjb/tldk/include-raw-tldk-csit-functional-virl.sh
@@ -1,4 +1,17 @@
#!/bin/bash
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
set -xeu -o pipefail
# Clone tldk and start tests
diff --git a/jjb/tldk/tldk.yaml b/jjb/tldk/tldk.yaml
index 57e64f83e..41e1b5469 100644
--- a/jjb/tldk/tldk.yaml
+++ b/jjb/tldk/tldk.yaml
@@ -1,10 +1,24 @@
+# Copyright (c) 2017 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
- project:
name: tldk
jobs:
- '{project}-verify-{stream}-{os}'
- '{project}-merge-{stream}-{os}'
- '{project}-verify-image-{stream}-{os}'
- - 'csit-tldk-verify-func-{stream}-{os}-virl'
+ - 'tldk-csit-verify-func-{stream}-{os}-virl'
project: 'tldk'
os:
@@ -170,7 +184,7 @@
maven-version: 'mvn33-new'
- job-template:
- name: 'csit-tldk-verify-func-{stream}-{os}-virl'
+ name: 'tldk-csit-verify-func-{stream}-{os}-virl'
project-type: freestyle
node: '{os}-basebuild-4c-4g'
@@ -206,7 +220,7 @@
builders:
- shell:
- !include-raw-escape: include-raw-csit-tldk-functional-virl.sh
+ !include-raw-escape: include-raw-tldk-csit-functional-virl.sh
publishers:
- archive-artifacts: